[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.CanAutoSize

Function to determine if autosizing is possible, and if so, gets the new width and height

## Declaration

Source position: controls.pp line 1058

`protected function TControl.CanAutoSize(`
`var NewWidth: Integer;`
`var NewHeight: Integer`
`):Boolean; virtual;`

The latest version of this document can be found at lazarus-ccr.sourceforge.net .